## u-boot-s32 2022.04-bsp37.0

=== debian/changelog ===
u-boot-s32 (2022.04-bsp37.0-0ubuntu3) noble; urgency=medium

  * Drop unnecessary Build-Depends: python3-distutils

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 21 Apr 2024 17:33:03 -0400

u-boot-s32 (2022.04-bsp37.0-0ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:28:00 +1100

u-boot-s32 (2022.04-bsp37.0-0ubuntu1) noble; urgency=medium

  * Refine version number format (LP: #2034650)

 -- Laider Lai <laider.lai@canonical.com>  Wed, 24 Jan 2024 06:39:33 +0000

u-boot-s32 (2022.04-bsp37.0-18) jammy; urgency=medium

  * Fix lintian error: build-depends-indep-without-arch-indep
     - The u-boot-s32-source package is removed, no need
       build-depends-indep anymore

 -- Laider Lai <laider.lai@canonical.com>  Wed, 24 Jan 2024 04:33:02 +0000

u-boot-s32 (2022.04-bsp37.0-17) jammy; urgency=medium

  * Remove SPDX garbage header
  * Correct debian/copyright content

 -- Laider Lai <laider.lai@canonical.com>  Wed, 24 Jan 2024 02:23:59 +0000

u-boot-s32 (2022.04-bsp37.0-16) jammy; urgency=medium

  * Update nemos-s32g274ardb2.patch: fix offset
  * Update s32gxxxardb-use-fuse-id-for-mac.patch: fix print log

 -- Laider Lai <laider.lai@canonical.com>  Mon, 22 Jan 2024 05:58:15 +0000

u-boot-s32 (2022.04-bsp37.0-15) noble; urgency=medium

  * Update nemos-s32g274ardb2.patch:
     - Set CONFIG_ENV_OVERWRITE=y
    Update s32gxxxardb-use-fuse-id-for-mac.patch:
     - Not override the ethaddr if it's already set

 -- Laider Lai <laider.lai@caonnical.com>  Fri, 19 Jan 2024 02:41:19 +0000

u-boot-s32 (2022.04-bsp37.0-14) noble; urgency=medium

  * Remove u-boot-s32-source package as it's no longer needed for building
    arm-trusted-firmware-s32.

 -- Isaac True <isaac.true@canonical.com>  Wed, 22 Nov 2023 10:23:21 +0100

u-boot-s32 (2022.04-bsp37.0-13) noble; urgency=medium

  * Update nemos-s32g274ardb2.patch:
    - Set CONFIG_AUTOBOOT_MENU_SHOW=n
    - Show the boot menu after running platform fixups

 -- Isaac True <isaac.true@canonical.com>  Fri, 03 Nov 2023 10:27:40 +0100

u-boot-s32 (2022.04-bsp37.0-12) noble; urgency=medium

  * Update nemos-s32g274ardb2.patch:
    - Enable U-Boot menu support

 -- Isaac True <isaac.true@canonical.com>  Tue, 31 Oct 2023 11:27:46 +0000

u-boot-s32 (2022.04-bsp37.0-11) mantic; urgency=medium

  * Update nemos-s32g274ardb2.patch:
    - Disable EFI support entirely
    - Set CONFIG_DISTRO_DEFAULTS=y
  * Add s32-do-not-skip-fdt-fixups.patch which re-enables FDT fixups when
    CONFIG_DISTRO_DEFAULTS=y is set.

 -- Isaac True <isaac.true@canonical.com>  Fri, 27 Oct 2023 12:38:52 +0000

u-boot-s32 (2022.04-bsp37.0-10) mantic; urgency=medium

  * Add a new build target s32g274ardb2+hse.
  * All build targets ending with "+hse" now have HSE support enabled. This
    means that the boot image generated later by arm-trusted-firmware will
    include the proprietary HSE firmware from NXP. This firmware is not
    present in this package,it simply adds an indication that it should be
    added at a later build stage.

 -- Isaac True <isaac.true@canonical.com>  Tue, 24 Oct 2023 18:48:44 +0200

u-boot-s32 (2022.04-bsp37.0-9) mantic; urgency=medium

  * Update nemos-s32g274ardb2.patch:
    - Set CONFIG_CMD_NVEDIT_EFI=y
    - Set CONFIG_CMD_EFIDEBUG=y

 -- Isaac True <isaac.true@canonical.com>  Thu, 19 Oct 2023 14:21:38 +0000

u-boot-s32 (2022.04-bsp37.0-8) mantic; urgency=medium

  * Add new package u-boot-s32-secure-boot which contains the EFI variables
    that can be used to verify EFI binaries using Secure Boot.

 -- Isaac True <isaac.true@canonical.com>  Fri, 13 Oct 2023 14:15:54 +0000

u-boot-s32 (2022.04-bsp37.0-7) mantic; urgency=medium

  * Add patch series optee-rng to backport the OP-TEE based Random Number
    Generator driver from U-Boot 2022.07. This series includes the following
    patches:
    - 0001-rng-add-optee-based-random-number-generator.patch
    - 0002-tee-optee-bind-rng-optee-driver.patch
    - 0003-tee-optee-remove-unused-probe-local-variable.patch
    - 0004-tee-optee-dont-fail-probe-because-of-optee-rng.patch
    - 0005-dm-core-add-dm-flag-probe-after-bind-flag.patch
    - 0006-tee-optee-probe-after-bind.patch
  * Update nemos-s32g274ardb2.patch to enable random number generator support:
    - Set CONFIG_DM_RNG=y
    - Set CONFIG_RNG_OPTEE=y
    - Set CONFIG_EFI_RNG_PROTOCOL=y
    - Set CONFIG_CMD_KASLRSEED=y
    - Set CONFIG_CMD_RNG=y
  * Update FIT image boot process to add a step to initialise the kaslr-seed
    value in the device tree.

 -- Isaac True <isaac.true@canonical.com>  Fri, 13 Oct 2023 13:27:02 +0000

u-boot-s32 (2022.04-bsp37.0-6) mantic; urgency=medium

  * Update s32gxxxardb-use-fuse-id-for-mac.patch.

 -- Isaac True <isaac.true@canonical.com>  Wed, 11 Oct 2023 12:56:47 +0200

u-boot-s32 (2022.04-bsp37.0-5) mantic; urgency=medium

  * Add s32gxxxardb-use-fuse-id-for-mac.patch to automatically generate a
    static MAC address for the Ethernet adapter based on the SoC's unique
    hardware ID.

 -- Isaac True <isaac.true@canonical.com>  Tue, 10 Oct 2023 14:04:11 +0000

u-boot-s32 (2022.04-bsp37.0-4) mantic; urgency=medium

  * u-boot-s32-tools: install tools/efivar.py to /usr/share/u-boot/
  * u-boot-s32-tools: add python3 and python3-openssl dependencies

 -- Isaac True <isaac.true@canonical.com>  Tue, 26 Sep 2023 12:10:03 +0000

u-boot-s32 (2022.04-bsp37.0-3) mantic; urgency=medium

  * Update nemos-s32g274ardb2.patch to enable boot image signature
    verification:
    - Set CONFIG_FIT_SIGNATURE=y
    - Set CONFIG_EFI_SECURE_BOOT=y
    - Set CONFIG_LEGACY_IMAGE_FORMAT=n

 -- Isaac True <isaac.true@canonical.com>  Mon, 25 Sep 2023 12:58:25 +0000

u-boot-s32 (2022.04-bsp37.0-2) lunar; urgency=medium

  * Update nemos-s32g274ardb2.patch to enable PCIe root complex support.

 -- Isaac True <isaac.true@canonical.com>  Wed, 13 Sep 2023 08:48:59 +0000

u-boot-s32 (2022.04-bsp37.0-1) lunar; urgency=medium

  * Update to latest NXP S32G BSP version 37.0

