=== debian/control ===
Source: u-boot-s32
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Isaac True <isaac.true@canonical.com>
Build-Depends:
 bc,
 binutils (>= 2.37.90.20220123-2~),
 bison,
 debhelper-compat (= 13),
 device-tree-compiler,
 flex,
 libfdt-dev:native [arm64],
 libc6:arm64 [arm64] <cross !pkg.uboot.notools>,
 libpython3-dev:native [linux-any],
 libssl-dev,
 libssl-dev:native,
 python3:any [linux-any],
 python3-pkg-resources [linux-any],
 swig [linux-any],
 uuid-dev,
 libgnutls28-dev,
 tar (>= 1.34),
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://www.denx.de/wiki/U-Boot/
Vcs-Browser: https://github.com/nxp-auto-linux/u-boot
Vcs-Git: https://github.com/nxp-auto-linux/u-boot.git

Package: u-boot-s32
Architecture: arm64
Multi-Arch: same
Depends: ${misc:Depends}
Recommends: python3, u-boot-s32-tools [arm64]
Description: A boot loader for s32 systems
 Das U-Boot is a cross-platform bootloader for embedded systems,
 used as the default boot loader by several board vendors.  It is
 intended to be easy to port and to debug, and runs on many
 supported architectures, including PPC, ARM, MIPS, x86, m68k,
 NIOS, and Microblaze.
 .
 This package includes boot loaders for various s32 platforms.
 .
 Included platforms:
 ${u-boot-s32:platforms}

Package: u-boot-s32-tools
Architecture: linux-any
Build-Profiles: <!pkg.uboot.notools>
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 python3,
 python3-openssl,
Recommends: device-tree-compiler,
 libubootenv-tool,
Description: companion tools for Das U-Boot S32 bootloader
 This package includes programs for generating and listing U-Boot NXP S32
 images in various formats:
  - mkimage-s32
  - dumpimage-s32
  - mkenvimage-s32
