=== debian/watch ===
version=4
opts="\
filenamemangle=s/(bsp\d+\.\d+)-(\d{4}\.\d{2})\.tar\.gz/u-boot-s32-$2-$1\.tar\.gz/,\
uversionmangle=s/(bsp\d+\.\d+).(\d{4}\.\d{2})/$2-$1/,\
" \
https://github.com/nxp-auto-linux/u-boot/tags .*/(bsp\d+\.\d+)-(\d{4}\.\d{2})\.tar\.gz
